
<!doctype html>
<html lang="en" data-layout="semibox" data-sidebar-visibility="show" data-topbar="light" data-sidebar="light" data-sidebar-size="lg" data-sidebar-image="none" data-preloader="disable">
<head>

    <meta charset="utf-8" />
    <title>Sign In | Login</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta content="Andas Point of Sales" name="description" />
    <meta content="Adorable Solutions" name="author" />
    <!-- App favicon -->
    <link rel="shortcut icon" href="/lg/images/favicon.ico">
    <!-- Layout config Js -->
    <script src="/lg/js/layout.js"></script>
    <!-- Bootstrap Css -->
    <link href="/lg/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <!-- Icons Css -->
    <link href="/lg/css/icons.min.css" rel="stylesheet" type="text/css" />
    <!-- App Css-->
    <link href="/lg/css/app.min.css" rel="stylesheet" type="text/css" />
    <!-- custom Css-->
    <link href="/lg/css/custom.min.css" rel="stylesheet" type="text/css" />
</head>
<body>

    <div class="auth-page-wrapper pt-5">
        <!-- auth page bg -->
        <div class="auth-one-bg-position auth-one-bg" id="auth-particles">
            <div class="bg-overlay"></div>

            <div class="shape">
                <svg xmlns="http://www.w3.org/2000/svg" version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 1440 120">
                    <path d="M 0,36 C 144,53.6 432,123.2 720,124 C 1008,124.8 1296,56.8 1440,40L1440 140L0 140z"></path>
                </svg>
            </div>
        </div>

        <!-- auth page content -->
        <div class="auth-page-content">
            <div class="container">
                @include('inc.errorfile')
                <div class="row">
                    <div class="col-lg-12">
                        <div class="text-center mt-sm-5 mb-4 text-white-50">
                        <img src="/assets/img/logo-pizzaman.png" alt="logo" style="max-height:50px">
                        </div>
                    </div>
                </div>
                <!-- end row -->

                <div class="row justify-content-center">
                    <div class="col-md-8 col-lg-6 col-xl-5">
                        <div class="card mt-4">

                            <div class="card-body p-4">
                                <div class="text-center mt-2">
                                    <h5 class="text-primary">Welcome Back !</h5>
                                    <p class="text-muted">Sign in to continue.</p>
                                </div>
                                <div class="p-2 mt-4">
                                <form method="POST" action="{{ route('login') }}">
                                            @csrf

                                        <div class="mb-3">
                                            <label for="username" class="form-label">Username</label>
                                            <input type="text" class="form-control" id="username" placeholder="Enter username" name="email" :value="old('email')" required autofocus autocomplete="username">
                                        </div>

                                        <div class="mb-3">
                                            
                                            <label class="form-label" for="password-input">Password</label>
                                            <div class="position-relative auth-pass-inputgroup mb-3">
                                                <input type="password" class="form-control pe-5 password-input" placeholder="Enter password" id="password-input"  name="password" required autocomplete="current-password">
                                                <button class="btn btn-link position-absolute end-0 top-0 text-decoration-none text-muted password-addon" type="button" id="password-addon"><i class="ri-eye-fill align-middle"></i></button>
                                            </div>
                                        </div>

                                        <div class="form-check">
                                                    <input class="form-check-input" type="checkbox"  id="remember_me" name="remember" id="auth-remember-check">
                                                    <label class="form-check-label" for="auth-remember-check">Remember me</label>
                                                </div>

                                        <div class="mt-4">
                                            <button class="btn btn-secondary w-100" type="submit">Sign In</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <!-- end card body -->
                        </div>
                        <!-- end card -->
                    </div>
                </div>
                <!-- end row -->
            </div>
            <!-- end container -->
        </div>
        <!-- end auth page content -->

        <!-- footer -->
        <footer class="footer">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="text-center">
                            <p class="mb-0 text-muted">
                                Copyright &copy; 2023 Call Center App
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </footer>
        <!-- end Footer -->
    </div>
    <!-- end auth-page-wrapper -->

    <!-- JAVASCRIPT -->
    <script src="/lg/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="/lg/libs/simplebar/simplebar.min.js"></script>
    <script src="/lg/libs/node-waves/waves.min.js"></script>
    <script src="/lg/libs/feather-icons/feather.min.js"></script>
    <script src="/lg/js/pages/plugins/lord-icon-2.1.0.js"></script>
    <script src="/lg/js/plugins.js"></script>

    <!-- particles js -->
    <script src="/lg/libs/particles.js/particles.js"></script>
    <!-- particles app js -->
    <script src="/lg/js/pages/particles.app.js"></script>
    <!-- password-addon init -->
    <script src="/lg/js/pages/password-addon.init.js"></script>
</body>


</html>